<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: pixel_t Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structpixel__t-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">pixel_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>A data type representing the color of a pixel.  
 <a href="structpixel__t.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="SmartLED_8h_source.html">SmartLED.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a912496dc782ecc3cea2f89eb79b7c9a0"><td class="memItemLeft" align="right" valign="top"><a id="a912496dc782ecc3cea2f89eb79b7c9a0"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structpixel__t.html#a912496dc782ecc3cea2f89eb79b7c9a0">red</a></td></tr>
<tr class="memdesc:a912496dc782ecc3cea2f89eb79b7c9a0"><td class="mdescLeft">&#160;</td><td class="mdescRight">The red component of the pixel. <br /></td></tr>
<tr class="separator:a912496dc782ecc3cea2f89eb79b7c9a0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a945c55299b107661d118e849b388039b"><td class="memItemLeft" align="right" valign="top"><a id="a945c55299b107661d118e849b388039b"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structpixel__t.html#a945c55299b107661d118e849b388039b">green</a></td></tr>
<tr class="memdesc:a945c55299b107661d118e849b388039b"><td class="mdescLeft">&#160;</td><td class="mdescRight">The green component of the pixel. <br /></td></tr>
<tr class="separator:a945c55299b107661d118e849b388039b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a32f72c7c5c7c932c7e554d05f7390941"><td class="memItemLeft" align="right" valign="top"><a id="a32f72c7c5c7c932c7e554d05f7390941"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structpixel__t.html#a32f72c7c5c7c932c7e554d05f7390941">blue</a></td></tr>
<tr class="memdesc:a32f72c7c5c7c932c7e554d05f7390941"><td class="mdescLeft">&#160;</td><td class="mdescRight">The blue component of the pixel. <br /></td></tr>
<tr class="separator:a32f72c7c5c7c932c7e554d05f7390941"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>A data type representing the color of a pixel. </p>
</div><hr/>The documentation for this struct was generated from the following files:<ul>
<li><a class="el" href="SmartLED_8h_source.html">SmartLED.h</a></li>
<li><a class="el" href="WS2812_8h_source.html">WS2812.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
